/* SDCalX, version 01
 * Copyright (C) 2022 Arktis Desktop Project, GNU GPL v2 or any later.*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "SDCalX.h"

int
main(int argc, char *argv[]) {
	int done = FALSE;
	int x = 0;
	int y = 0;
	int w = 0;
	int h = 0;
	unsigned int s = 60;
	if ((!argv[1])||(!argv[2])||(!argv[3])||(!argv[4])){
		fprintf(stderr, "SDCalX: argument missing. Exit.\n");
		exit(EXIT_FAILURE);
	}
	x = atoi(argv[1]);
	y = atoi(argv[2]);
	w = atoi(argv[3]);
	h = atoi(argv[4]);
	CreateWindow(x, y, w, h);
	while (!done) {
		HandleEvents(&done);
		RePaint(&done);
		sleep(s);
	}
	pid_t pid = fork();
	switch (pid) {
		case 0:
			execl ("/bin/sh", "sh", "-c", "/root/.SDCalendar/sdcal-auto", NULL);
			fprintf (stderr, "SDCalX: repaint exec failed.\n");
			exit(EXIT_FAILURE);
		break;
		case -1:
			fprintf (stderr, "SDCalX: repaint fork failed.\n");
		break;
	}
	DestroyWindow();
	return EXIT_SUCCESS;
}

